clipper 5.01 -> 5.3 : Argument error: DBUSEAREA 
Author Message
 clipper 5.01 -> 5.3 : Argument error: DBUSEAREA

Hi, I'm a clipper 5.01 programmer.
Recently I got my clipper 5.3 cd from under the dust again to give it
a try.
I recompiled my clipper 5.01 under 5.3 no problem.
Had to remove catools to get it (b)linked.
Ignoring some other errors (funcky 1.5 related)

Now when I run the app I get
Error DBCMD/1015  Argument error: DBUSEAREA
all I do is
use register.dbf
the file is there, Ichecked
the file is ok, I checked with dbu
the file isn't used by others
it's a simple file not even memo fields
I tried providing the full pathname like
use d:\veterin\zamendbf\regsiter.dbf and
use ... new
same result

Is there something fundamentally different about the use command under
5.3???



Wed, 14 Aug 2002 03:00:00 GMT  
 clipper 5.01 -> 5.3 : Argument error: DBUSEAREA
Hmmmmm, normally the command would be simply 'use register'. There have
been a couple of patches to 5.3, maybe this is an area they address. The
only other possibility that springs to mind is insufficient file handles
in the config.sys.....
Regards from Great Barrier Island, New Zealand
Quote:

> Hi, I'm a clipper 5.01 programmer.
> Recently I got my clipper 5.3 cd from under the dust again to give it
> a try.
> I recompiled my clipper 5.01 under 5.3 no problem.
> Had to remove catools to get it (b)linked.
> Ignoring some other errors (funcky 1.5 related)

> Now when I run the app I get
> Error DBCMD/1015  Argument error: DBUSEAREA
> all I do is
> use register.dbf
> the file is there, Ichecked
> the file is ok, I checked with dbu
> the file isn't used by others
> it's a simple file not even memo fields
> I tried providing the full pathname like
> use d:\veterin\zamendbf\regsiter.dbf and
> use ... new
> same result

> Is there something fundamentally different about the use command under
> 5.3???



Thu, 15 Aug 2002 03:00:00 GMT  
 clipper 5.01 -> 5.3 : Argument error: DBUSEAREA
On Sat, 26 Feb 2000 13:52:04 +0100, Hans H.

Quote:

>Hi, I'm a clipper 5.01 programmer.
>Recently I got my clipper 5.3 cd from under the dust again to give it
>a try.
>I recompiled my clipper 5.01 under 5.3 no problem.
>Had to remove catools to get it (b)linked.
>Ignoring some other errors (funcky 1.5 related)

>Now when I run the app I get
>Error DBCMD/1015  Argument error: DBUSEAREA
>all I do is
>use register.dbf

<snip>

Maybe REGISTER is a keyword? Try "use register alias foo" or rename
the dbf.

Jules Alberts



Fri, 16 Aug 2002 03:00:00 GMT  
 clipper 5.01 -> 5.3 : Argument error: DBUSEAREA
Try:

Use Register New



Fri, 16 Aug 2002 03:00:00 GMT  
 
 [ 4 post ] 

 Relevant Pages 

1. Clipper 5.01 -> 5.3

2. Question: any compatibility issue between Clipper 5.3 and 5.01

3. FS: Used Clipper S'87, 5.01, 5.2 and 5.3

4. REQ: Clipper 5.01 - looking for clipper 5.01 to modify code

5. RDD Error DBCMD /1015 ARGUMENT ERROR DBUSEAREA

6. Upgrade 5.01 to 5.3 ???

7. DBCMD/1015 Argument error: DBUSEAREA

8. Clipper 5.01 C3002 Input Buffer Overflow error

9. DIRMAKE() error - Clipper 5.01 protected

10. INTERNAL ERROR 5333 CLIPPER 5.01

11. HELP!: Error running Clipper 5.01 program under Windows 3.1

12. Runtime Error 5304 (Clipper 5.01 + DOS 6.21)

 

 
Powered by phpBB® Forum Software